package com.cool.store.request;

import com.cool.store.entity.SigningBaseInfoDO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class IntentAgreementSubmitRequest {

    private String partnerId;

    private Long lineId;

    @ApiModelProperty("签约人姓名")
    private String signName;
    @ApiModelProperty("手机号")
    private String mobile;
    @ApiModelProperty("1男 2女")
    private Integer sex;
    @ApiModelProperty("身份证人像面url")
    private String idCardFront;
    @ApiModelProperty("身份证国徽面url")
    private String idCardReverse;
    @ApiModelProperty("身份证号")
    private String idCardNo;
    @ApiModelProperty("身份证地址")
    private String idCardAddress;
    @ApiModelProperty("现居住地")
    private String currentResidence;
    @ApiModelProperty("详细地址")
    private String addressDetail;
    @ApiModelProperty("营业执照图片")
    private String businessLicense;
    @ApiModelProperty("统一社会信用代码")
    private String businessLicenseCode;
    @ApiModelProperty("公司地址")
    private String businessLicenseAddress;

    private BigDecimal jmf;

    private String  jmfdx;

    private Date signStartTime;

    private Date signEndTime;


    public SigningBaseInfoDO toSigningBaseInfoDO() {
        SigningBaseInfoDO signingBaseInfoDO = new SigningBaseInfoDO();
        signingBaseInfoDO.setPartnerId(this.partnerId);
        signingBaseInfoDO.setLineId(this.lineId);
        signingBaseInfoDO.setSignName(this.signName);
        signingBaseInfoDO.setMobile(this.mobile);
        signingBaseInfoDO.setSex(this.sex);
        signingBaseInfoDO.setIdCardFront(this.idCardFront);
        signingBaseInfoDO.setIdCardReverse(this.idCardReverse);
        signingBaseInfoDO.setIdCardNo(this.idCardNo);
        signingBaseInfoDO.setIdCardAddress(this.idCardAddress);
        signingBaseInfoDO.setCurrentResidence(this.currentResidence);
        signingBaseInfoDO.setAddressDetail(this.addressDetail);
        signingBaseInfoDO.setBusinessLicense(this.businessLicense);
        signingBaseInfoDO.setBusinessLicenseCode(this.businessLicenseCode);
        signingBaseInfoDO.setBusinessLicenseAddress(this.businessLicenseAddress);
        return signingBaseInfoDO;
    }
}
